## GtkFileList

GtkFileList

## Synopsis

    #include <gtkextra.h>

                        GtkFileListItem;
                        GtkFileListType;
    GtkWidget*          gtk_file_list_new                   (guint icon_width,
                                                             gint mode,
                                                             const gchar *path);
    void                gtk_file_list_construct             (GtkFileList *file_list,
                                                             guint icon_width,
                                                             gint mode,
                                                             const gchar *path);
    void                gtk_file_list_set_filter            (GtkFileList *file_list,
                                                             const gchar *filter);
    gboolean            gtk_file_list_open_dir              (GtkFileList *file_list,
                                                             const gchar *path);
    const gchar*        gtk_file_list_get_path              (GtkFileList *file_list);
    const gchar*        gtk_file_list_get_filename          (GtkFileList *file_list);
    gint                gtk_file_list_get_filetype          (GtkFileList *file_list);
    gint                gtk_file_list_add_type              (GtkFileList *file_list,
                                                             const gchar **pixmap_data);
    gint                gtk_file_list_add_type_with_pixmap  (GtkFileList *file_list,
                                                             GdkPixmap *pixmap,
                                                             GdkBitmap *mask);
    void                gtk_file_list_add_type_filter       (GtkFileList *file_list,
                                                             gint type,
                                                             const gchar *filter);

## Description

## Details

### GtkFileListItem

    typedef struct {
      gchar *file_name;
      gint type;
      gint is_dir;
      gint is_link;
    } GtkFileListItem;

### GtkFileListType

    typedef struct {
      gchar *extension;
      gint type;
    } GtkFileListType;

### gtk_file_list_new ()

    GtkWidget*          gtk_file_list_new                   (guint icon_width,
                                                             gint mode,
                                                             const gchar *path);

`icon_width` : |
`mode` : |
`path` : |
Returns : |

### gtk_file_list_construct ()

    void                gtk_file_list_construct             (GtkFileList *file_list,
                                                             guint icon_width,
                                                             gint mode,
                                                             const gchar *path);

`file_list` : |
`icon_width` : |
`mode` : |
`path` : |

### gtk_file_list_set_filter ()

    void                gtk_file_list_set_filter            (GtkFileList *file_list,
                                                             const gchar *filter);

`file_list` : |
`filter` : |

### gtk_file_list_open_dir ()

    gboolean            gtk_file_list_open_dir              (GtkFileList *file_list,
                                                             const gchar *path);

`file_list` : |
`path` : |
Returns : |

### gtk_file_list_get_path ()

    const gchar*        gtk_file_list_get_path              (GtkFileList *file_list);

`file_list` : |
Returns : |

### gtk_file_list_get_filename ()

    const gchar*        gtk_file_list_get_filename          (GtkFileList *file_list);

`file_list` : |
Returns : |

### gtk_file_list_get_filetype ()

    gint                gtk_file_list_get_filetype          (GtkFileList *file_list);

`file_list` : |
Returns : |

### gtk_file_list_add_type ()

    gint                gtk_file_list_add_type              (GtkFileList *file_list,
                                                             const gchar **pixmap_data);

`file_list` : |
`pixmap_data` : |
Returns : |

### gtk_file_list_add_type_with_pixmap ()

    gint                gtk_file_list_add_type_with_pixmap  (GtkFileList *file_list,
                                                             GdkPixmap *pixmap,
                                                             GdkBitmap *mask);

`file_list` : |
`pixmap` : |
`mask` : |
Returns : |

### gtk_file_list_add_type_filter ()

    void                gtk_file_list_add_type_filter       (GtkFileList *file_list,
                                                             gint type,
                                                             const gchar *filter);

`file_list` : |
`type` : |
`filter` : |